can't split a vectorial layer : file dialogue freezes the app

2013-07-21 09:31 PM - Mathieu L Bouchard

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:1.8.0 Regression?:

Operating System: Ubuntu Easy fix?:

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 17123

Description

I have a crash problem. I add a vector layer (45 megs SHP) and then I click on Vecteur > Gestion de données > Séparer une couche

vectorielle ; then i click to select a folder, and when I'm done selecting, qgis freezes. Note that the computation hasn't begun and I can't

make it start at all. I tried with a different window manager and it's the same. I tried because the freeze also makes the wm use a lot of

CPU (40 %, sometimes less).

That's while using QGIS 1.8.0 deb package (sources.list « deb http://qgis.org/debian precise main »). The distro has Qt 4.8.1 ; the

package was compiled for Qt 4.8.1.

xtrace on qgis doesn't show anything while the wm is made busy by qgis (why ?). I tried gdb, but I'd need more knowledge to figure out

the threads & event queues... the backtraces didn't look obvious to me.

History

#1 - 2013-07-21 09:35 PM - Mathieu L Bouchard

I forgot to check « causes crash » of course, but I don't see how I can change it now.

#2 - 2013-07-21 10:32 PM - Paolo Cavallini

- Crashes QGIS or corrupts data changed from No to Yes

#3 - 2013-07-22 04:17 AM - Giovanni Manghi

- Affected QGIS version changed from master to 1.8.0

- Status changed from Open to Feedback

- Category set to 44

This tool has been fixed in the past, also in 1.8. So you must test qgis master or attach a sample dataset to allow test locally. Thanks!

#4 - 2013-07-23 10:23 AM - Mathieu L Bouchard

Indeed, I just downloaded 1.9.0 by GIT and it works.

#5 - 2013-07-23 10:28 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to worksforme
#6 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
